Name:           libdc1394
Version:        2.0.0
Release:        rc4.1%{?dist}
Summary:        Libraries to control IEEE 1394 based cameras

Group:          System Environment/Libraries
License:        LGPL
URL:            http://sourceforge.net/projects/libdc1394/
Source0:        http://sourceforge.net/projects/libdc1394/libdc1394-%{version}-rc4.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  /usr/bin/libtool
BuildRequires:  libraw1394-devel, libX11-devel, libXv-devel, libXext-devel

Requires(post): /sbin/ldconfig
Requires(postun): /sbin/ldconfig

%description
libdc1394 is a library that is intended to provide a high level programming
interface for application developers who wish to control IEEE 1394 based 
cameras that conform to the 1394-based Digital Camera Specification (found at
http://www.1394ta.org/).

%package        devel
Summary:        Developpement files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Developpement files for %{name}

%prep
%setup -q -n libdc1394-%{version}-rc4


%build
%configure --disable-libtool-lock --with-gnu-ld 
make LIBTOOL=/usr/bin/libtool %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT


%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_bindir}/dc1394_vloopback
%{_libdir}/libdc1394.so.20
%{_libdir}/libdc1394.so.20.0.0

%files devel
%doc config.log
%{_includedir}/dc1394/*.h
%{_includedir}/dc1394/linux/*.h
%{_includedir}/dc1394/vendor/*.h
%{_libdir}/libdc1394.so
%{_libdir}/libdc1394.a
%{_libdir}/libdc1394.la
%{_libdir}/pkgconfig/libdc1394.pc


%changelog
* Wed Dec 27 2006 kwizart < kwizart at gmail.com > - 2.0.0-rc4.1
- Initial package
